Bug 241861 - Bad decoding of multiple Subjects
Bad decoding of multiple Subjects
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: squirrelmail (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
qe-baseos-daemons
:
Depends On: 209105
Blocks: 743405 807971
  Show dependency treegraph
 
Reported: 2007-05-31 03:59 EDT by Martin Bacovsky
Modified: 2013-01-07 23:57 EST (History)
7 users (show)

See Also:
Fixed In Version: squirrelmail-1.4.8-20.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 23:57:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Martin Bacovsky 2007-05-31 04:17:00 EDT
Tomas provided patch whic was positively tested.
Comment 2 RHEL Product and Program Management 2007-12-03 15:43:11 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 3 Tomas 2008-03-26 00:02:24 EDT
Found some issues in that patch. encodeHeaderBase64 function was not written to
handle 7bit charsets with escape sequences. It will work correctly only with
short unfolder headers.
Comment 4 Tomas 2008-03-27 09:10:33 EDT
Sorry. false alarm. Function does not know about iso-2022 escapes, but mbstring
extension knows them and splits string correctly.
Comment 7 RHEL Product and Program Management 2009-03-26 13:18:56 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Issue Tracker 2009-05-27 21:56:18 EDT
Hi,

We've receved the similar report to this issue from the other
customer([SUPPORT#0201833]).

1. When the customer typed the Japanese
characters(=>"】=どうしてばけるんだい") in the title
   of squirrelmail, the characters get garbled.

2. When the customer attached a file named "Aide仕様変更.txt" in
squirrelmail, the file name
   always get separated as follows when receiving it.

   "Aide 仕様変更.txt"

I could reproduce the above problems in my testing machine. But I also
verified that the above
problems can be fixed by applying the same
patch(squirrelmail-1.4.6-japanese-subject-garble-fix.patch).

The customer is asking for the hotfix. So could you speed up the process a
little bit and provide
the hotfix when it is ready.

Regards,

Masa










This event sent from IssueTracker by mokubo 
 issue 297271
Comment 12 RHEL Product and Program Management 2010-08-09 15:34:35 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 14 RHEL Product and Program Management 2011-05-31 11:04:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 15 RHEL Product and Program Management 2011-09-22 20:42:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 20 RHEL Product and Program Management 2012-04-02 10:18:25 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 29 errata-xmlrpc 2013-01-07 23:57:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0126.html

Note You need to log in before you can comment on or make changes to this bug.